RIO_ENUM_PEER(9)

NAME
rio_enum_peer - Recursively enumerate a RIO network through a master port

SYNOPSIS

int rio_enum_peer(struct rio_net * net, struct rio_mport * port, u8 hopcount, struct rio_dev * prev, int prev_port);

ARGUMENTS

net
    RIO network being enumerated

port
    Master port to send transactions

hopcount
    Number of hops into the network

prev
    Previous RIO device connected to the enumerated one

prev_port
    Port on previous RIO device

DESCRIPTION

Recursively enumerates a RIO network. Transactions are sent via the master port passed in port.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT